Bug 1433852 - Running rpmlint on kexec-tools srpm shows several warnings/errors
Summary: Running rpmlint on kexec-tools srpm shows several warnings/errors
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kexec-tools
Version: 27
Hardware: All
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Bhupesh Sharma
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-20 07:43 UTC by Bhupesh Sharma
Modified: 2017-09-07 02:25 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-07 02:25:44 UTC


Attachments (Terms of Use)

Description Bhupesh Sharma 2017-03-20 07:43:57 UTC
Description of problem:


Version-Release number of selected component (if applicable):

$ fedpkg co -a kexec-tools
$ cd kexec-tools
$ git log

commit 00ed76e7e268c1ec6edf3062fd80526717c09f81
Author: Dave Young <dyoung@redhat.com>
Date:   Fri Mar 17 10:21:49 2017 +0800

    Release 2.0.14-6


How reproducible:

$ fedpkg pull
Already up-to-date.

$ fedpkg sources
Downloading eppic_050615.tar.gz
######################################################################## 100.0%
Downloading kexec-tools-2.0.14.tar.xz
######################################################################## 100.0%
Downloading kdump-anaconda-addon-005-25-g2a4398f.tar.gz
######################################################################## 100.0%
Downloading makedumpfile-1.6.1.tar.gz
######################################################################## 100.0%

$ fedpkg prep
$ fedpkg local
$ fedpkg mockbuild
$ fedpkg srpm 

Steps to Reproduce:
1.
2.
3.

Actual results:

$ rpmlint kexec-tools-2.0.14-6.fc27.src.rpm
kexec-tools.src: W: spelling-error Summary(en_US) kdump -> dump, k dump
kexec-tools.src: W: spelling-error Summary(en_US) userspace -> user space, user-space, users pace
kexec-tools.src: W: spelling-error %description -l en_US sbin -> sin, bin, bins
kexec-tools.src: W: spelling-error %description -l en_US userspace -> user space, user-space, users pace
kexec-tools.src: W: no-url-tag
kexec-tools.src: W: strange-permission kdumpctl 775
kexec-tools.src: W: strange-permission dracut-kdump-error-handler.sh 775
kexec-tools.src: W: strange-permission dracut-kdump.sh 775
kexec-tools.src: W: strange-permission kdump-lib-initramfs.sh 775
kexec-tools.src: W: strange-permission dracut-module-setup.sh 775
kexec-tools.src: W: strange-permission kdump-lib.sh 775
kexec-tools.src:57: W: unversioned-explicit-obsoletes diskdumputils
kexec-tools.src:57: W: unversioned-explicit-obsoletes netdump
kexec-tools.src:57: W: unversioned-explicit-obsoletes kexec-tools-eppic
kexec-tools.src:172: E: hardcoded-library-path in %{_prefix}/lib/kdump
kexec-tools.src:175: E: use-of-RPM_SOURCE_DIR
kexec-tools.src:185: E: hardcoded-library-path in %{_prefix}/lib/kdump/kdump-lib.sh
kexec-tools.src:186: E: hardcoded-library-path in %{_prefix}/lib/kdump/kdump-lib-initramfs.sh
kexec-tools.src:194: E: hardcoded-library-path in %{_prefix}/lib/systemd/system-generators/kdump-dep-generator.sh
kexec-tools.src:223: E: hardcoded-library-path in %{_prefix}/lib/dracut
kexec-tools.src:300: E: hardcoded-library-path in %{_prefix}/lib/kdump
kexec-tools.src:314: E: hardcoded-library-path in %{_prefix}/lib/systemd/system-generators/kdump-dep-generator.sh
kexec-tools.src:1487: W: macro-in-%changelog %dir
kexec-tools.src:240: W: mixed-use-of-spaces-and-tabs (spaces: line 106, tab: line 240)
kexec-tools.src: W: invalid-url Source23: kdump-anaconda-addon-005-25-g2a4398f.tar.gz
kexec-tools.src: W: invalid-url Source19: eppic_050615.tar.gz
1 packages and 0 specfiles checked; 8 errors, 18 warnings.

$ fedpkg lint
kexec-tools.spec:57: W: unversioned-explicit-obsoletes diskdumputils
kexec-tools.spec:57: W: unversioned-explicit-obsoletes netdump
kexec-tools.spec:57: W: unversioned-explicit-obsoletes kexec-tools-eppic
kexec-tools.spec:172: E: hardcoded-library-path in %{_prefix}/lib/kdump
kexec-tools.spec:175: E: use-of-RPM_SOURCE_DIR
kexec-tools.spec:185: E: hardcoded-library-path in %{_prefix}/lib/kdump/kdump-lib.sh
kexec-tools.spec:186: E: hardcoded-library-path in %{_prefix}/lib/kdump/kdump-lib-initramfs.sh
kexec-tools.spec:194: E: hardcoded-library-path in %{_prefix}/lib/systemd/system-generators/kdump-dep-generator.sh
kexec-tools.spec:223: E: hardcoded-library-path in %{_prefix}/lib/dracut
kexec-tools.spec:300: E: hardcoded-library-path in %{_prefix}/lib/kdump
kexec-tools.spec:314: E: hardcoded-library-path in %{_prefix}/lib/systemd/system-generators/kdump-dep-generator.sh
kexec-tools.spec:1487: W: macro-in-%changelog %dir
kexec-tools.spec:240: W: mixed-use-of-spaces-and-tabs (spaces: line 106, tab: line 240)
kexec-tools.spec: W: invalid-url Source23: kdump-anaconda-addon-005-25-g2a4398f.tar.gz
kexec-tools.spec: W: invalid-url Source19: eppic_050615.tar.gz
kexec-tools.src: W: spelling-error Summary(en_US) kdump -> dump, k dump
kexec-tools.src: W: spelling-error Summary(en_US) userspace -> user space, user-space, users pace
kexec-tools.src: W: spelling-error %description -l en_US sbin -> sin, bin, bins
kexec-tools.src: W: spelling-error %description -l en_US userspace -> user space, user-space, users pace
kexec-tools.src: W: no-url-tag
kexec-tools.src: W: strange-permission dracut-module-setup.sh 775
kexec-tools.src: W: strange-permission kdump-lib.sh 775
kexec-tools.src: W: strange-permission kdumpctl 775
kexec-tools.src: W: strange-permission dracut-kdump-error-handler.sh 775
kexec-tools.src: W: strange-permission dracut-kdump.sh 775
kexec-tools.src: W: strange-permission kdump-lib-initramfs.sh 775
kexec-tools.src:57: W: unversioned-explicit-obsoletes diskdumputils
kexec-tools.src:57: W: unversioned-explicit-obsoletes netdump
kexec-tools.src:57: W: unversioned-explicit-obsoletes kexec-tools-eppic
kexec-tools.src:172: E: hardcoded-library-path in %{_prefix}/lib/kdump
kexec-tools.src:175: E: use-of-RPM_SOURCE_DIR
kexec-tools.src:185: E: hardcoded-library-path in %{_prefix}/lib/kdump/kdump-lib.sh
kexec-tools.src:186: E: hardcoded-library-path in %{_prefix}/lib/kdump/kdump-lib-initramfs.sh
kexec-tools.src:194: E: hardcoded-library-path in %{_prefix}/lib/systemd/system-generators/kdump-dep-generator.sh
kexec-tools.src:223: E: hardcoded-library-path in %{_prefix}/lib/dracut
kexec-tools.src:300: E: hardcoded-library-path in %{_prefix}/lib/kdump
kexec-tools.src:314: E: hardcoded-library-path in %{_prefix}/lib/systemd/system-generators/kdump-dep-generator.sh
kexec-tools.src:1487: W: macro-in-%changelog %dir
kexec-tools.src:240: W: mixed-use-of-spaces-and-tabs (spaces: line 106, tab: line 240)
kexec-tools.src: W: invalid-url Source23: kdump-anaconda-addon-005-25-g2a4398f.tar.gz
kexec-tools.src: W: invalid-url Source19: eppic_050615.tar.gz
kexec-tools-anaconda-addon.x86_64: W: spelling-error Summary(en_US) Kdump -> Dump, K dump
kexec-tools-anaconda-addon.x86_64: W: spelling-error %description -l en_US Kdump -> Dump, K dump
kexec-tools-anaconda-addon.x86_64: W: no-url-tag
kexec-tools-anaconda-addon.x86_64: W: no-documentation
kexec-tools-debuginfo.x86_64: W: no-url-tag
kexec-tools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/kexec-tools-2.0.14/kexec/arch/x86_64/kexec-x86_64.c
kexec-tools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/kexec-tools-2.0.14/include/x86/mb_info.h
kexec-tools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/kexec-tools-2.0.14/kexec/crashdump.c
kexec-tools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/kexec-tools-2.0.14/include/x86/mb_header.h
kexec-tools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/kexec-tools-2.0.14/kexec/arch/i386/crashdump-x86.c
kexec-tools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/kexec-tools-2.0.14/kexec/kexec-elf-boot.c
kexec-tools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/kexec-tools-2.0.14/kexec/arch/x86_64/kexec-elf-x86_64.c
kexec-tools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/kexec-tools-2.0.14/include/elf.h
kexec-tools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/kexec-tools-2.0.14/kexec/kexec.c
kexec-tools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/kexec-tools-2.0.14/kexec/arch/x86_64/kexec-bzImage64.c
kexec-tools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/kexec-tools-2.0.14/kexec/arch/i386/kexec-elf-x86.c
kexec-tools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/kexec-tools-2.0.14/kexec/firmware_memmap.c
kexec-tools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/kexec-tools-2.0.14/util_lib/sha256.c
kexec-tools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/kexec-tools-2.0.14/kexec/firmware_memmap.h
kexec-tools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/kexec-tools-2.0.14/makedumpfile-1.6.1/diskdump_mod.h
kexec-tools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/kexec-tools-2.0.14/util_lib/compute_ip_checksum.c
kexec-tools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/kexec-tools-2.0.14/kexec/arch/i386/kexec-x86-common.c
kexec-tools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/kexec-tools-2.0.14/kexec/arch/i386/kexec-nbi.c
kexec-tools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/kexec-tools-2.0.14/kexec/arch/i386/kexec-bzImage.c
kexec-tools.x86_64: E: explicit-lib-dependency zlib
kexec-tools.x86_64: W: spelling-error Summary(en_US) userspace -> user space, user-space, users pace
kexec-tools.x86_64: W: spelling-error %description -l en_US userspace -> user space, user-space, users pace
kexec-tools.x86_64: W: no-url-tag
kexec-tools.x86_64: W: obsolete-not-provided diskdumputils
kexec-tools.x86_64: W: obsolete-not-provided kexec-tools-eppic
kexec-tools.x86_64: W: obsolete-not-provided netdump
kexec-tools.x86_64: W: no-soname /usr/lib64/eppic_makedumpfile.so
kexec-tools.x86_64: W: shared-lib-calls-exit /usr/lib64/eppic_makedumpfile.so exit@GLIBC_2.2.5
kexec-tools.x86_64: W: non-etc-or-var-file-marked-as-conffile /usr/lib/udev/rules.d/98-kexec.rules
kexec-tools.x86_64: W: conffile-without-noreplace-flag /usr/lib/udev/rules.d/98-kexec.rules
kexec-tools.x86_64: W: devel-file-in-non-devel-package /usr/share/makedumpfile/eppic_scripts/vhost_scsi_buffers.c
kexec-tools.x86_64: W: devel-file-in-non-devel-package /usr/share/makedumpfile/eppic_scripts/tcp_sk_buf.c
kexec-tools.x86_64: W: devel-file-in-non-devel-package /usr/share/makedumpfile/eppic_scripts/unix_sk_buff.c
kexec-tools.x86_64: W: devel-file-in-non-devel-package /usr/share/makedumpfile/eppic_scripts/proc_names.c
kexec-tools.x86_64: E: incorrect-fsf-address /usr/share/doc/kexec-tools/COPYING
kexec-tools.x86_64: W: devel-file-in-non-devel-package /usr/share/makedumpfile/eppic_scripts/udp_sk_buf.c
kexec-tools.x86_64: E: non-executable-script /usr/lib/dracut/modules.d/99kdumpbase/monitor_dd_progress 644 /bin/sh 
kexec-tools.x86_64: W: devel-file-in-non-devel-package /usr/share/makedumpfile/eppic_scripts/keyring.c
kexec-tools.x86_64: W: devel-file-in-non-devel-package /usr/share/makedumpfile/eppic_scripts/vhost_net_buffers.c
kexec-tools.x86_64: W: devel-file-in-non-devel-package /usr/share/makedumpfile/eppic_scripts/dir_names.c
kexec-tools.x86_64: W: non-conffile-in-etc /etc/makedumpfile.conf.sample
kexec-tools.x86_64: E: script-without-shebang /usr/lib/kdump/kdump-lib-initramfs.sh
kexec-tools.x86_64: W: devel-file-in-non-devel-package /usr/share/makedumpfile/eppic_scripts/ap_messages.c
kexec-tools.x86_64: W: dangerous-command-in-%post mv
kexec-tools.x86_64: W: dangerous-command-in-%trigger rm
kexec-tools-anaconda-addon.x86_64: W: spelling-error Summary(en_US) Kdump -> Dump, K dump
kexec-tools-anaconda-addon.x86_64: W: spelling-error %description -l en_US Kdump -> Dump, K dump
kexec-tools-anaconda-addon.x86_64: W: no-url-tag
kexec-tools-anaconda-addon.x86_64: W: no-documentation
kexec-tools-debuginfo.x86_64: W: no-url-tag
kexec-tools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/kexec-tools-2.0.14/kexec/arch/x86_64/kexec-x86_64.c
kexec-tools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/kexec-tools-2.0.14/include/x86/mb_info.h
kexec-tools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/kexec-tools-2.0.14/kexec/crashdump.c
kexec-tools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/kexec-tools-2.0.14/include/x86/mb_header.h
kexec-tools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/kexec-tools-2.0.14/kexec/arch/i386/crashdump-x86.c
kexec-tools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/kexec-tools-2.0.14/kexec/kexec-elf-boot.c
kexec-tools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/kexec-tools-2.0.14/kexec/arch/x86_64/kexec-elf-x86_64.c
kexec-tools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/kexec-tools-2.0.14/include/elf.h
kexec-tools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/kexec-tools-2.0.14/kexec/kexec.c
kexec-tools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/kexec-tools-2.0.14/kexec/arch/x86_64/kexec-bzImage64.c
kexec-tools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/kexec-tools-2.0.14/kexec/arch/i386/kexec-elf-x86.c
kexec-tools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/kexec-tools-2.0.14/kexec/firmware_memmap.c
kexec-tools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/kexec-tools-2.0.14/util_lib/sha256.c
kexec-tools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/kexec-tools-2.0.14/kexec/firmware_memmap.h
kexec-tools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/kexec-tools-2.0.14/makedumpfile-1.6.1/diskdump_mod.h
kexec-tools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/kexec-tools-2.0.14/util_lib/compute_ip_checksum.c
kexec-tools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/kexec-tools-2.0.14/kexec/arch/i386/kexec-x86-common.c
kexec-tools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/kexec-tools-2.0.14/kexec/arch/i386/kexec-nbi.c
kexec-tools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/kexec-tools-2.0.14/kexec/arch/i386/kexec-bzImage.c
kexec-tools.x86_64: E: explicit-lib-dependency zlib
kexec-tools.x86_64: W: spelling-error Summary(en_US) userspace -> user space, user-space, users pace
kexec-tools.x86_64: W: spelling-error %description -l en_US userspace -> user space, user-space, users pace
kexec-tools.x86_64: W: no-url-tag
kexec-tools.x86_64: W: obsolete-not-provided diskdumputils
kexec-tools.x86_64: W: obsolete-not-provided kexec-tools-eppic
kexec-tools.x86_64: W: obsolete-not-provided netdump
kexec-tools.x86_64: W: no-soname /usr/lib64/eppic_makedumpfile.so
kexec-tools.x86_64: W: shared-lib-calls-exit /usr/lib64/eppic_makedumpfile.so exit@GLIBC_2.2.5
kexec-tools.x86_64: W: non-etc-or-var-file-marked-as-conffile /usr/lib/udev/rules.d/98-kexec.rules
kexec-tools.x86_64: W: conffile-without-noreplace-flag /usr/lib/udev/rules.d/98-kexec.rules
kexec-tools.x86_64: W: devel-file-in-non-devel-package /usr/share/makedumpfile/eppic_scripts/vhost_scsi_buffers.c
kexec-tools.x86_64: W: devel-file-in-non-devel-package /usr/share/makedumpfile/eppic_scripts/tcp_sk_buf.c
kexec-tools.x86_64: W: devel-file-in-non-devel-package /usr/share/makedumpfile/eppic_scripts/unix_sk_buff.c
kexec-tools.x86_64: W: devel-file-in-non-devel-package /usr/share/makedumpfile/eppic_scripts/proc_names.c
kexec-tools.x86_64: E: incorrect-fsf-address /usr/share/doc/kexec-tools/COPYING
kexec-tools.x86_64: W: devel-file-in-non-devel-package /usr/share/makedumpfile/eppic_scripts/udp_sk_buf.c
kexec-tools.x86_64: E: non-executable-script /usr/lib/dracut/modules.d/99kdumpbase/monitor_dd_progress 644 /bin/sh 
kexec-tools.x86_64: W: devel-file-in-non-devel-package /usr/share/makedumpfile/eppic_scripts/keyring.c
kexec-tools.x86_64: W: devel-file-in-non-devel-package /usr/share/makedumpfile/eppic_scripts/vhost_net_buffers.c
kexec-tools.x86_64: W: devel-file-in-non-devel-package /usr/share/makedumpfile/eppic_scripts/dir_names.c
kexec-tools.x86_64: W: non-conffile-in-etc /etc/makedumpfile.conf.sample
kexec-tools.x86_64: E: script-without-shebang /usr/lib/kdump/kdump-lib-initramfs.sh
kexec-tools.x86_64: W: devel-file-in-non-devel-package /usr/share/makedumpfile/eppic_scripts/ap_messages.c
kexec-tools.x86_64: W: dangerous-command-in-%post mv
kexec-tools.x86_64: W: dangerous-command-in-%trigger rm
kexec-tools-anaconda-addon.x86_64: W: spelling-error Summary(en_US) Kdump -> Dump, K dump
kexec-tools-anaconda-addon.x86_64: W: spelling-error %description -l en_US Kdump -> Dump, K dump
kexec-tools-anaconda-addon.x86_64: W: no-url-tag
kexec-tools-anaconda-addon.x86_64: W: no-documentation
kexec-tools-debuginfo.x86_64: W: no-url-tag
kexec-tools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/kexec-tools-2.0.14/kexec/arch/x86_64/kexec-x86_64.c
kexec-tools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/kexec-tools-2.0.14/include/x86/mb_info.h
kexec-tools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/kexec-tools-2.0.14/kexec/crashdump.c
kexec-tools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/kexec-tools-2.0.14/include/x86/mb_header.h
kexec-tools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/kexec-tools-2.0.14/kexec/arch/i386/crashdump-x86.c
kexec-tools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/kexec-tools-2.0.14/kexec/kexec-elf-boot.c
kexec-tools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/kexec-tools-2.0.14/kexec/arch/x86_64/kexec-elf-x86_64.c
kexec-tools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/kexec-tools-2.0.14/include/elf.h
kexec-tools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/kexec-tools-2.0.14/kexec/kexec.c
kexec-tools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/kexec-tools-2.0.14/kexec/arch/x86_64/kexec-bzImage64.c
kexec-tools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/kexec-tools-2.0.14/kexec/arch/i386/kexec-elf-x86.c
kexec-tools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/kexec-tools-2.0.14/kexec/firmware_memmap.c
kexec-tools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/kexec-tools-2.0.14/util_lib/sha256.c
kexec-tools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/kexec-tools-2.0.14/kexec/firmware_memmap.h
kexec-tools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/kexec-tools-2.0.14/makedumpfile-1.6.1/diskdump_mod.h
kexec-tools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/kexec-tools-2.0.14/util_lib/compute_ip_checksum.c
kexec-tools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/kexec-tools-2.0.14/kexec/arch/i386/kexec-x86-common.c
kexec-tools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/kexec-tools-2.0.14/kexec/arch/i386/kexec-nbi.c
kexec-tools-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/kexec-tools-2.0.14/kexec/arch/i386/kexec-bzImage.c
kexec-tools.x86_64: E: explicit-lib-dependency zlib
kexec-tools.x86_64: W: spelling-error Summary(en_US) userspace -> user space, user-space, users pace
kexec-tools.x86_64: W: spelling-error %description -l en_US userspace -> user space, user-space, users pace
kexec-tools.x86_64: W: no-url-tag
kexec-tools.x86_64: W: obsolete-not-provided diskdumputils
kexec-tools.x86_64: W: obsolete-not-provided kexec-tools-eppic
kexec-tools.x86_64: W: obsolete-not-provided netdump
kexec-tools.x86_64: W: no-soname /usr/lib64/eppic_makedumpfile.so
kexec-tools.x86_64: W: shared-lib-calls-exit /usr/lib64/eppic_makedumpfile.so exit@GLIBC_2.2.5
kexec-tools.x86_64: W: non-etc-or-var-file-marked-as-conffile /usr/lib/udev/rules.d/98-kexec.rules
kexec-tools.x86_64: W: conffile-without-noreplace-flag /usr/lib/udev/rules.d/98-kexec.rules
kexec-tools.x86_64: W: devel-file-in-non-devel-package /usr/share/makedumpfile/eppic_scripts/vhost_scsi_buffers.c
kexec-tools.x86_64: W: devel-file-in-non-devel-package /usr/share/makedumpfile/eppic_scripts/tcp_sk_buf.c
kexec-tools.x86_64: W: devel-file-in-non-devel-package /usr/share/makedumpfile/eppic_scripts/unix_sk_buff.c
kexec-tools.x86_64: W: devel-file-in-non-devel-package /usr/share/makedumpfile/eppic_scripts/proc_names.c
kexec-tools.x86_64: E: incorrect-fsf-address /usr/share/doc/kexec-tools/COPYING
kexec-tools.x86_64: W: devel-file-in-non-devel-package /usr/share/makedumpfile/eppic_scripts/udp_sk_buf.c
kexec-tools.x86_64: E: non-executable-script /usr/lib/dracut/modules.d/99kdumpbase/monitor_dd_progress 644 /bin/sh 
kexec-tools.x86_64: W: devel-file-in-non-devel-package /usr/share/makedumpfile/eppic_scripts/keyring.c
kexec-tools.x86_64: W: devel-file-in-non-devel-package /usr/share/makedumpfile/eppic_scripts/vhost_net_buffers.c
kexec-tools.x86_64: W: devel-file-in-non-devel-package /usr/share/makedumpfile/eppic_scripts/dir_names.c
kexec-tools.x86_64: W: non-conffile-in-etc /etc/makedumpfile.conf.sample
kexec-tools.x86_64: E: script-without-shebang /usr/lib/kdump/kdump-lib-initramfs.sh
kexec-tools.x86_64: W: devel-file-in-non-devel-package /usr/share/makedumpfile/eppic_scripts/ap_messages.c
kexec-tools.x86_64: W: dangerous-command-in-%post mv
kexec-tools.x86_64: W: dangerous-command-in-%trigger rm
10 packages and 1 specfiles checked; 85 errors, 106 warnings.

Expected results:

Ad wranings and errors reported by lint should be analyzed and real issues should be fixed.

Additional info:

Comment 2 Bhupesh Sharma 2017-04-12 10:09:31 UTC
After analysing the rpmlint or fedpkg lint results on kexec-tools found two obvious issues which can be fixed:

1. Several instances of hardcoded-library-path errors.
2. Couple of whitespace errors.


A patchset (v1) was submitted today which fixes the above two issues (https://lists.fedoraproject.org/archives/list/kexec@lists.fedoraproject.org/thread/RXLSWO7NCBCGQIPYMZLR6TJMT47ZRBGQ/)

The rest of the issues reported by rpmlint or fedpkg lint either can't be fixed (considering the current kexec-tools.spec layout) or are false positives:

kexec-tools/kexec-tools.spec:58: W: unversioned-explicit-obsoletes diskdumputils
kexec-tools/kexec-tools.spec:58: W: unversioned-explicit-obsoletes netdump
kexec-tools/kexec-tools.spec:58: W: unversioned-explicit-obsoletes kexec-tools-eppic
kexec-tools/kexec-tools.spec:176: E: use-of-RPM_SOURCE_DIR
kexec-tools/kexec-tools.spec:1499: W: macro-in-%changelog %dir
kexec-tools/kexec-tools.spec: W: invalid-url Source23: kdump-anaconda-addon-005-25-g2a4398f.tar.gz
kexec-tools/kexec-tools.spec: W: invalid-url Source19: eppic_050615.tar.gz

Comment 3 Bhupesh Sharma 2017-06-09 05:57:19 UTC
v2 was posted on fedora kexec mailing list was posted on June 8 for review:

https://lists.fedoraproject.org/archives/list/kexec@lists.fedoraproject.org/message/FHQZ766NUDYU6NC6HG6DAHC7GBC33VUB/

Comment 4 Jan Kurik 2017-08-15 08:42:28 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 5 Dave Young 2017-09-07 02:25:44 UTC
Fixed one issue, will leave others as is.

Feel free to reopen if you still think they still need fixes


Note You need to log in before you can comment on or make changes to this bug.